#ifndef _TIME_H_
#define _TIME_H_
#include "conf.h"

#define TIME_TENTH_MILLIS_PER_OVERFLOW (0xff * 10000UL * 64) / F_CPU

// for 32bit eigentime
struct eigentime_s
{
	unsigned int low, high;
	unsigned int tenth;
};

extern volatile struct eigentime_s _eigentime_ms;

void
get_eigentime(struct eigentime_s * time);

void
time_init(void);

#endif
